Bug 223938 - EWS should stress test newly added tests
Summary: EWS should stress test newly added tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on: 223890 223939 223950 224002
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-30 10:22 PDT by Aakash Jain
Modified: 2021-04-06 13:15 PDT (History)
3 users (show)

See Also:


Attachments
[fast-cq] Patch (9.80 KB, patch)
2021-03-31 13:58 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2021-03-30 10:22:53 PDT
When a commit adds new tests, run these tests lot of times to make sure that they are not flaky. We should also run the new tests in GuardMalloc mode.
Comment 1 Alexey Proskuryakov 2021-03-30 19:42:36 PDT
We need to be careful to not to run modified tests that are skipped.
Comment 2 Aakash Jain 2021-03-31 13:58:28 PDT
Created attachment 424817 [details]
[fast-cq] Patch
Comment 3 Jonathan Bedard 2021-03-31 14:01:18 PDT
(In reply to Alexey Proskuryakov from comment #1)
> We need to be careful to not to run modified tests that are skipped.

Yes, Aakash and I looked at this: Turns out, if you prefix test names with 'LayoutTest', they will be skipped if the expectations indicate they should be. Which is quite surprising, and likely a bug, but serves our needs right now well.
Comment 4 EWS 2021-03-31 14:48:27 PDT
Committed r275307 (?): <https://commits.webkit.org/r275307>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424817 [details].
Comment 5 Radar WebKit Bug Importer 2021-03-31 14:49:14 PDT
<rdar://problem/76072259>
Comment 6 Aakash Jain 2021-04-06 13:13:03 PDT
<rdar://problem/15983464>
Comment 7 Aakash Jain 2021-04-06 13:15:00 PDT
This EWS is live.
Comment 8 Aakash Jain 2021-04-06 13:15:14 PDT
Announcement email: https://lists.webkit.org/pipermail/webkit-dev/2021-April/031773.html